Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class RelativeFileRepository

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
          edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
              edu.stanford.smi.protegex.owl.repository.impl.LocalFileRepository
                  edu.stanford.smi.protegex.owl.repository.impl.RelativeFileRepository

All Implemented Interfaces:
  Repository

    public class RelativeFileRepository

extends LocalFileRepository

Constructor Summary
`RelativeFileRepository(File file, String relativeURL, boolean isForceReadOnly)`
`RelativeFileRepository(File file, URL baseURL, String relativeURL)`

Method Summary
`String` | `getRepositoryDescription()` Gets a description of the type of the repository.
`String` | `getRepositoryDescriptor()` Gets the descriptor for this repository.

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.LocalFileRepository
`refresh`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
`contains, getFile, getInputStream, getOntologies, getOntologyLocationDescription, getOutputStream, isForceReadOnly, isSystem, isWritable, processFile, putOntology, setForceReadOnly`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
`hasOutputStream, loadImportedAssertions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeFileRepository

    public RelativeFileRepository(File file,
                                  URL baseURL,
                                  String relativeURL)
                           throws MalformedURLException,
                                  URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### RelativeFileRepository

    public RelativeFileRepository(File file,
                                  String relativeURL,
                                  boolean isForceReadOnly)
                           throws MalformedURLException,
                                  URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

Method Detail

### getRepositoryDescriptor

    public String getRepositoryDescriptor()

  Description copied from interface: `Repository`
  Gets the descriptor for this repository. This is used to serialise the repository in a list of the available repositories.

  Specified by:
    `getRepositoryDescriptor` in interface `Repository`
  Overrides:
    `getRepositoryDescriptor` in class `AbstractLocalRepository`

### getRepositoryDescription

    public String getRepositoryDescription()

  Description copied from interface: `Repository`
  Gets a description of the type of the repository. For example, "Local folder".

  Specified by:
    `getRepositoryDescription` in interface `Repository`
  Overrides:
    `getRepositoryDescription` in class `LocalFileRepository`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.